package org.jeecg.modules.carrentGoods.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 商品信息表
 * @Author: jeecg-boot
 * @Date:   2024-12-12
 * @Version: V1.0
 */
@Data
@TableName("carrent_goods")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="carrent_goods对象", description="商品信息表")
public class CarrentGoods implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**商品名称*/
	@Excel(name = "商品名称", width = 15)
    @ApiModelProperty(value = "商品名称")
    private java.lang.String goodsName;
	/**商品图片*/
	@Excel(name = "商品图片", width = 15)
    @ApiModelProperty(value = "商品图片")
    private java.lang.String image;
	/**商品价格*/
	@Excel(name = "商品价格", width = 15)
    @ApiModelProperty(value = "商品价格")
    private java.math.BigDecimal price;
	/**浏览量*/
	@Excel(name = "浏览量", width = 15)
    @ApiModelProperty(value = "浏览量")
    private java.lang.Integer views;
	/**品牌*/
	@Excel(name = "品牌", width = 15)
    @ApiModelProperty(value = "品牌")
    private java.lang.String brand;
	/**时间*/
	@Excel(name = "时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "时间")
    private java.util.Date goodsTime;
	/**公里数*/
	@Excel(name = "公里数", width = 15)
    @ApiModelProperty(value = "公里数")
    private java.lang.Integer mileage;
	/**型号*/
	@Excel(name = "型号", width = 15)
    @ApiModelProperty(value = "型号")
    private java.lang.String model;
	/**详情*/
	@Excel(name = "详情", width = 15)
    @ApiModelProperty(value = "详情")
    private java.lang.String detail;
	/**库存*/
	@Excel(name = "库存", width = 15)
    @ApiModelProperty(value = "库存")
    private java.lang.Integer inventory;
	/**车辆照片(前)*/
	@Excel(name = "车辆照片(前)", width = 15)
    @ApiModelProperty(value = "车辆照片(前)")
    private java.lang.String imageFront;
	/**车辆照片(后)*/
	@Excel(name = "车辆照片(后)", width = 15)
    @ApiModelProperty(value = "车辆照片(后)")
    private java.lang.String imageBack;
	/**车辆照片(左)*/
	@Excel(name = "车辆照片(左)", width = 15)
    @ApiModelProperty(value = "车辆照片(左)")
    private java.lang.String imageLeft;
	/**车辆照片(右)*/
	@Excel(name = "车辆照片(右)", width = 15)
    @ApiModelProperty(value = "车辆照片(右)")
    private java.lang.String imageRight;
	/**车辆照片(驾驶室)*/
	@Excel(name = "车辆照片(驾驶室)", width = 15)
    @ApiModelProperty(value = "车辆照片(驾驶室)")
    private java.lang.String imageCab;
	/**联系人*/
	@Excel(name = "联系人", width = 15)
    @ApiModelProperty(value = "联系人")
    private java.lang.String userName;
	/**联系人电话*/
	@Excel(name = "联系人电话", width = 15)
    @ApiModelProperty(value = "联系人电话")
    private java.lang.String phone;
	/**所在区域*/
	@Excel(name = "所在区域", width = 15)
    @ApiModelProperty(value = "所在区域")
    private java.lang.String area;
	/**关联商品类型id*/
	@Excel(name = "关联商品类型id", width = 15, dictTable = "carrent_type", dicText = "name", dicCode = "id")
	@Dict(dictTable = "carrent_type", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联商品类型id")
    private java.lang.String cartypeId;
	/**关联二级分类id*/
	@Excel(name = "关联二级分类id", width = 15, dictTable = "carrent_categorytwo", dicText = "name", dicCode = "id")
	@Dict(dictTable = "carrent_categorytwo", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联二级分类id")
    private java.lang.String categorytwoId;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
}
